#1 2016-10-22 16:13:53

MacWomble
Member
Registered: 2016-10-22
Posts: 5

How to install on CodeTyphon 5.80 ?

Hello,

I downloaded (git) mORMot and opend the project 01 in SQLite3 samples. When I compile I get an error in

SynCommons:

        test    byte ptr [CpuFeatures+6], $10 // cfSSE42 in CpuFeatures


Msg=Generating PIC, but reference is not PIC-safe
MsgID=7107
FPC Msg=asmr_e_need_pic_ref=7107

What did I wrong?

I use Linux Mint 18 and CodeTyphon 5.80 (FPC 3.1.1 64 Bit)

Offline

#2 2016-10-22 16:59:30

AOG
Member
Registered: 2014-02-24
Posts: 447

Re: How to install on CodeTyphon 5.80 ?

We (NewPascal team) are maintaining a special version of the mORMot for NewPascal that is tailored for FPC.
See: https://github.com/newpascal-ccr/mORMot

This version fixes your error.
See latest commit: https://github.com/newpascal-ccr/mORMot … d82044a2fe

Also, see NewPascal intiative for more options and features (especially for the mORMot ... interface RTTI) !!
http://newpascal.org/

Offline

#3 2016-10-22 17:06:29

MacWomble
Member
Registered: 2016-10-22
Posts: 5

Re: How to install on CodeTyphon 5.80 ?

Thank you, I'll try this later.

Last edited by MacWomble (2016-10-22 22:53:03)

Offline

#4 2016-10-22 22:52:17

MacWomble
Member
Registered: 2016-10-22
Posts: 5

Re: How to install on CodeTyphon 5.80 ?

The error from post one has gone.

How to install now on Linux? Compiling SQLite sample01 results in hundreds of errors and warnings!

Last edited by MacWomble (2016-10-22 22:52:33)

Offline

#5 2016-10-23 07:33:50

AOG
Member
Registered: 2014-02-24
Posts: 447

Re: How to install on CodeTyphon 5.80 ?

With CodeTyphon, you need to change a setting (synopse.inc):

{$ifdef VER3_1}
  {$define ISFPC27}
  {$define HASDIRECTTYPEINFO} // <-------------------------------- enabled for CodeTyphon !!!!!
  // define this for trunk revisions older than June 2016 - see
  // http://wiki.freepascal.org/User_Changes_Trunk#RTTI_Binary_format_change
{$endif}

I just ran Sample 01 on Linux64 with fresh CT out-of-the-box !

Offline

#6 2017-05-23 18:35:02

MacWomble
Member
Registered: 2016-10-22
Posts: 5

Re: How to install on CodeTyphon 5.80 ?

I did some tests again today with CodeTyphon 6.0 (FPC 3.1.1)
I installed Mormot with fpcupdeluxe-x86_64-linux (downloaded today)

The Demo 01 works out of the box, Demo 03 has no lpi, Demo 02 and Demo 04 results in an error:

/usr/bin/ld: cannot find libgcc.a

Linux is Mint 18.1 64Bit Cinnamon

Is this problem solved anywhere?

I did no more tests.

Regards Klaus

Last edited by MacWomble (2017-05-23 19:09:53)

Offline

#7 2017-05-23 19:07:28

MacWomble
Member
Registered: 2016-10-22
Posts: 5

Re: How to install on CodeTyphon 5.80 ?

There was a previous error I forgot to post:

/usr/bin/ld: Inkompatible /home/user/fpcupdeluxe/ccr/mORMotFPC/fpc-linux64/sqlite3-64.o wird übersprungen bei der Suche nach /user/klaus/fpcupdeluxe/ccr/mORMotFPC/fpc-linux64/sqlite3-64.o

Offline

Board footer

Powered by FluxBB